POST Directory search
Query Parameters
- Type: numberper
_page Results per page. Recommend value: 15
- Type: numberpage
Page number
- Type: stringview
Predefined views. Recommended value: search
Headers
- Type: stringAcceptrequired
Accept header
- Type: stringAuthorizationrequired
Authorization header
- Type: stringContent
- Type requiredContent-Type header
- Type: stringA
P I - V E R S I O N requiredAPI version
- Type: stringApplicationrequired
Application key
- Type: stringX
- Request - I D requiredUnique request identifier
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
- Type: stringContent
- Language requiredLocal language code (in format xx-XX, or simpler xx) for translation purposes
Body·
application/json
- Type: stringdevice
_uuid Randomly generated UUID on FE
- Type: numberFormat: floatlatitude
Customer location latitude
- Type: numberFormat: floatlongitude
customer location longitude
- Type: integerorder
_type order type id
Responses
- application/json
- 201
Created
- 400
Bad Request
- 403
Forbidden
- 404
Not Found
- 500
Internal Server Error
Request Example for post/directory/search
curl 'https://api-public-demo.menu.app/api/directory/search?per_page=1&page=1&view=' \
--request POST \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--header 'API-VERSION: ' \
--header 'Application: ' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937 ' \
--header 'X-QB-Enabled: true' \
--header 'Content-Language: en' \
--data '{
"device_uuid": "7e1902a1-7de9-443f-a25a-5df7799cbe9f",
"latitude": 19.429894,
"longitude": -99.149187,
"order_type": 5
}'
{
"status": "OK",
"code": 200,
"data": {
"venues": [
{
"distance": 1661.2,
"distance_in_miles": 1.03,
"venue": {
"id": "b8b95e34-3f22-11ed-936c-1a67b454859d",
"name": "John Doe test",
"country_state": "Texas",
"state": 1,
"timezone": {
"name": "Europe/Belgrade",
"offset": "+02:00"
},
"description": "\"\"",
"address": "\"\"",
"city": "\"\"",
"zip": "\"\"",
"latitude": 44.805932,
"longitude": 20.47436,
"serving_times": {
"type_id": 1,
"time_from": "2020-05-06 10:00:00",
"time_to": "2020-05-06 22:00:00",
"weekdays": [
0
]
},
"translations": {
"name": "Ciudad de México"
},
"order_types": {
"type_id": 1,
"state": 1,
"is_table_supported": true,
"tip_default": 10,
"tip_max": 20
}
}
}
]
}
}